@charset "utf-8";
/* CSS Document */


.recipe-container {
  background: rgba(189, 181, 181, 0.1);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  border: 1px solid rgba(255, 255, 255, 0.3);
  border-radius: 25px;
  padding: 30px 0;
  width: min(1200px, 100%);
}

.recipe-container h1 {
  font-size: 2rem;
  font-weight: 600;
  text-align: center;
  color: #dda3b6;
  margin: 20px 0 40px;
}

.scrollbar-wrapper{ width:96%;  max-width: 1080px; height: 5px; margin: 0 auto 1em auto; position: relative; }

/*temp*/#news{max-width: 1080px; } /*temp*/
.swiper {
	position: relative;
  width: 96% ;
  height: 100%;
  margin-bottom: 20px; margin-top:30px;
}

.swiper-scrollbar {
  --swiper-scrollbar-bottom: 0;
  --swiper-scrollbar-drag-bg-color: rgb(0 122 255 / 60%);
  --swiper-scrollbar-size: 8px;
}

.swiper-slide.post {
	position: relative;
  font-size: 1rem;
  font-weight: 500;
  color: var(--clr-text);
  background: #f1efec;
  box-shadow: 0 0px 5px rgba(0, 0, 0, 0.2);
  border-radius: 30px; overflow: hidden;
  padding: 0;
  margin-bottom: 16px;
}

.post-img {
	position: relative;
  width: 100%;
  object-fit: cover;
  overflow: hidden;
  aspect-ratio: 4/3;
  user-select: none;
  pointer-events: none;
}

.swiper-slide.post a{ position: absolute; left: 0; top: 0; bottom: 0; width: 100%; height:  100%; align-items: left; transition: all 0.3s ease; z-index: 1; }
.swiper-slide.post a:after{
 	content: ""; position: absolute; bottom:20px; right: 11px; width: 0.4em; height: 0.4em;
	background: transparent; border-top: 2px solid #fff; border-right: 2px solid #fff;
	box-shadow: 0 0 0 lightgray; transition: all 0.3s ease; transform: translate3d(0,-50%,0) rotate(45deg);	
}

.post-detail {
position: absolute; left: 0; bottom: 0; width: calc(100% - 32px);
  background-color: rgb(27 100 176 / 90%); color: white;
  padding: 24px 16px 16px;  text-shadow: 0 0 10px #1b64b0; margin: 0; font-weight:700;
	overflow: hidden; text-overflow: ellipsis;white-space: nowrap;
}
.post-date {
  position: absolute;
  top: 8px;
  left: 16px;
  font-size: 0.75em;    
  font-weight: 600;
  opacity: 0.9;
  letter-spacing: 0.02em;
}
.swiper-slide.post:hover a:after {right: 7px;}
.swiper-slide.post:hover .post-img{ filter: brightness(120%);}
.swiper-slide.post:hover .post-detail {background-color: rgb(37 131 229 / 90%);}

.newpost:after{content: "NEW!"; position: absolute; top: 0px; left:0px; font-weight: 900; font-size:0.8em; background-color: #fdd000; padding:10px 15px 10px 12px; border-bottom-right-radius:20px;  }

/* MEDIA QUERIES */

@media (max-width: 1200px) { 
 
}

@media (max-width:800px) {
  #recipes {
    padding: 60px 80px;
  }

}

@media (max-width: 765px) {

}

@media (max-width: 550px) {
  #recipes {
    padding: 40px 40px;
  }
 .swiper {
	position: relative;
  width: 96% ;
}

}

/* news-page*/
.news-page h2{ font-size:1.8rem; font-weight:900; max-width: 1200px; padding:0 ; margin: 0 auto 1.4rem auto;}
.news-page .pref{ font-size:smaller;}
.news-page hr{ margin-bottom: 1rem;}
.news-page a{ color: #0B8BC6;}

@media (min-width:0px) and (max-width: 799px) {
	
	.news-page h2{ font-size:1.4rem; }

}/*@media*/


/* リスト */
.content-box.latest-news{ background:none;max-width: 1280px; }
.latest-news .swiper-wrapper{display: flex;display:flex;justify-content:left; flex-wrap: wrap; gap:16px;}
.latest-news .swiper-slide.post {width: calc( 33% - 8px); margin-bottom: 0;}
@media (min-width:0px) and (max-width: 799px) {
	.latest-news .swiper-slide.post {width: 100%;}
}/*@media*/
@media (min-width:800px) and (max-width: 999px) {
	.latest-news .swiper-slide.post {width: calc( 50% - 8px);}
}/*@media*/


/***********************************************/
/*NEWS BLOG*/
/***********************************************/
.post-time{color:#808080;}
.underline{ text-decoration:underline;}
/* 內容寬度收窄，符合新聞稿閱讀感 */
.post-container {
  padding: 0 0 20px 0;
  max-width: 1080px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

/* 單一項目 */
.post-item {
  display: flex;
  flex-direction: column;
}

.post-media {
 width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
.white{background: #fff;}
.post-media img {
  max-width: 100%;
  aspect-ratio: 4/3;
  height: auto;
  object-fit: contain;
}

.post-item p {
  margin: 0;
}

.post-item p + p {
  margin-top: 16px;
}
/* 滿版 */
.post-full {
   grid-column: 1 / -1;
  break-before: always;
}

.post-full .post-media {
  aspect-ratio: 16 / 7;
}


/* 手機 */
@media (max-width: 768px) {
  .post-container {
    grid-template-columns: 1fr;
  }
 .post-full {
    grid-column:auto;
  }
	 .post-item {
    flex: 1 1 100%;
  }

  /* 文字自動換行，不超出容器 */
  .post-item p {
    word-wrap: break-word;
    overflow-wrap: break-word;
    word-break: break-word; /* 保險用 */
  }

  /* 可以讓超長 URL 自動換行 */
  .post-item a {
    word-break: break-all;
  }
}